Skip to main content
POST
/
api
/
projects
/
{project_id}
/
repositories
Add Project Repository
curl --request POST \
  --url https://api.example.com/api/projects/{project_id}/repositories \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "github_repository": "<string>",
  "production_branch": "<string>"
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "directory_name": "<string>",
  "github_repository": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "production_branch": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.codecobra.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string<uuid>
required

Body

application/json

A single repository to link to a project.

github_repository
string
required
production_branch
string | null

Response

Successful Response

created_at
string<date-time>
required
directory_name
string
required
github_repository
string
required
id
string<uuid>
required
production_branch
string | null
required